View Issue Details

IDProjectCategoryView StatusLast Update
0026483FPCCompilerpublic2019-02-12 12:46
ReporterMaciej Izak Assigned ToSven Barth  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0026483: Generics regression, wrong section visibility in module level - identifier idents no member "F"
DescriptionAll works fine in rev 27327 but in rev 28152 compiler raise Fatal error:

program p004;

{$MODE DELPHI}

type
  TA<T> = class
  private
    F: Integer;
  end;

  TB<T> = class
    procedure Foo(A: TObject);
  end;

procedure TB<T>.Foo(A: TObject);
begin
  WriteLn(TA<T>(A).F); // p004.Error: identifier idents no member "F"
end;

begin
end.
Tagsgenerics
Fixed in Revision29482
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0027206 resolvedSven Barth [Patch] Christmas gift by FreeSparta : Generics.Collections 

Activities

Maciej Izak

2014-07-13 20:59

reporter  

p004.lpr (290 bytes)

Sven Barth

2015-01-16 15:24

manager   ~0080445

Please test and close if okay.

Regards,
Sven

Issue History

Date Modified Username Field Change
2014-07-13 20:59 Maciej Izak New Issue
2014-07-13 20:59 Maciej Izak File Added: p004.lpr
2014-07-18 16:11 Sven Barth Tag Attached: generics
2015-01-07 21:37 Sven Barth Relationship added related to 0027206
2015-01-16 15:24 Sven Barth Fixed in Revision => 29482
2015-01-16 15:24 Sven Barth Note Added: 0080445
2015-01-16 15:24 Sven Barth Status new => resolved
2015-01-16 15:24 Sven Barth Resolution open => fixed
2015-01-16 15:24 Sven Barth Assigned To => Sven Barth
2015-01-16 17:06 Sven Barth Fixed in Version => 3.1.1
2015-08-29 16:04 Joost van der Sluis Fixed in Version 3.1.1 => 3.0.1